Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.mina.common
Interface IoFilter.NextFilter

Enclosing interface:
  IoFilter

    public static interface IoFilter.NextFilter

Represents the next `IoFilter` in `IoFilterChain`.

Method Summary
`void` | `exceptionCaught(IoSession session, Throwable cause)` Forwards `exceptionCaught` event to next filter.
`void` | `filterClose(IoSession session)` Forwards `filterClose` event to next filter.
`void` | `filterWrite(IoSession session, IoFilter.WriteRequest writeRequest)` Forwards `filterWrite` event to next filter.
`void` | `messageReceived(IoSession session, Object message)` Forwards `messageReceived` event to next filter.
`void` | `messageSent(IoSession session, Object message)` Forwards `messageSent` event to next filter.
`void` | `sessionClosed(IoSession session)` Forwards `sessionClosed` event to next filter.
`void` | `sessionCreated(IoSession session)` Forwards `sessionCreated` event to next filter.
`void` | `sessionIdle(IoSession session, IdleStatus status)` Forwards `sessionIdle` event to next filter.
`void` | `sessionOpened(IoSession session)` Forwards `sessionOpened` event to next filter.

Method Detail

### sessionCreated

    void sessionCreated(IoSession session)

  Forwards `sessionCreated` event to next filter.

### sessionOpened

    void sessionOpened(IoSession session)

  Forwards `sessionOpened` event to next filter.

### sessionClosed

    void sessionClosed(IoSession session)

  Forwards `sessionClosed` event to next filter.

### sessionIdle

    void sessionIdle(IoSession session,
                     IdleStatus status)

  Forwards `sessionIdle` event to next filter.

### exceptionCaught

    void exceptionCaught(IoSession session,
                         Throwable cause)

  Forwards `exceptionCaught` event to next filter.

### messageReceived

    void messageReceived(IoSession session,
                         Object message)

  Forwards `messageReceived` event to next filter.

### messageSent

    void messageSent(IoSession session,
                     Object message)

  Forwards `messageSent` event to next filter.

### filterWrite

    void filterWrite(IoSession session,
                     IoFilter.WriteRequest writeRequest)

  Forwards `filterWrite` event to next filter.

### filterClose

    void filterClose(IoSession session)

  Forwards `filterClose` event to next filter.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 Apache MINA Project. All Rights Reserved.